# Ndata

Ndata is a Python library for automating common data preprocessing tasks, such as missing value imputation, feature scaling, categorical encoding, and outlier detection.

## Features

- **Handle Missing Values**: Automatically fill missing values using strategies like mean, median, or a constant.
- **Scale Numerical Features**: Standardize or normalize your data.
- **Encode Categorical Variables**: Easily convert categorical features into numerical form.
- **Detect and Remove Outliers**: Use Z-score or IQR methods to handle outliers.

## Installation

You can install Ndata from PyPI:

```bash
pip install ndata
